6.0.0-git
2021-01-19

[#1517] Check for children if building imap tree
Summary Check for children if building imap tree
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2005-03-09 (5795 days ago)
Due
Updated 2005-03-31 (5773 days ago)
Assigned 2005-03-29 (5775 days ago)
Resolved 2005-03-31 (5773 days ago)
Milestone
Patch No

History
2005-03-31 05:11:39 Michael Slusarz Comment #3
State ⇒ Resolved
Reply to this comment
Merged to 3.0.5.
2005-03-29 07:35:43 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
A compromise.  We do this check only if we are viewing all (i.e. 
subscribed and unsubscribed) folders.  There is no way to check for 
the existence of (possible) children if doing a subscribed only view 
without explicitly doing a all folders check under that node, which is 
exactly what we are trying to avoid in the first place - namely, 
accessing any levels of the IMAP Tree we do not expressly need to 
depending on the user's current view.
2005-03-09 13:57:48 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Check for children if building imap tree
Queue ⇒ IMP
Assigned to Michael Slusarz
Reply to this comment
When initializing the imap tree and building the tree elements, in 
isOpen() we should not only check for in the nav_polled preference if 
a folder is expanded, but also if the folder has children.

I have an obviously broken nav_polled array that markes a folder as 
open even though it doesn't have any children. This might happen for 
example if deleting subfolders of expanded folders with a different 
mail client.

Saved Queries